Search results from your query.
Categories:
Sort:
i'm looking for a way to create a macro (or any other system) that reset alla the field of the property tab that i've create to fill the field of my personalized titole block. This macro will delete all Custom properties including the ones created by property tab. Modify it as needed.
SOLIDWORKS Forums
1 hour ago
We use a macro we found on this forum to create a custom property called "AutoQty" in each indivual part. I have been trying to get this (ISO macro to export flat pattern dxf from assemblies SW2017) macro to include that custom property in the dxf filename without success. Ex: (filename (AutoQty).dxf)
SOLIDWORKS Forums
5 hours ago
I would like a macro tochoosewhich drawing to reference and build a new drawing from based on a Custom Property. -make every possible drawing without dangling dimensions
SOLIDWORKS Forums
5 hours ago
Hi Guys. Love the forum you're a lot of help. I started doing a few macros and I'm stuck on one that will help me save some time.
SOLIDWORKS Forums
9 hours ago
I want to make bottom rapid dimension when two vertexes are selected, not to tell the function the dimension insertion point, but let SolidWords decide where to insert dimension with it's rapid dimension tool. Jive Software Version: 2018.13.0.0_jx, revision: 20190118155848.7eaeabc.release_2018.13.0-jx
SOLIDWORKS Forums
10 hours ago
move parts together Hello, I want to use the VBA to make many parts to move together. I use the “dragoperator”, but I only know move a part.
SOLIDWORKS Forums
10 hours ago
What I need to do is find the partial length along an edge loop between the intersections of two rays. Where I'm struggling is understanding the directions of the different elements. The body that I'm working with is an extrusion and I'm looking at either of the planar end faces. It appears the the order of the edges in the Loop2 object is always counter-clockwise as viewed with the face normal pointing outward from the screen (the API doc says that outer loops are CCW so that matches).
SOLIDWORKS Forums
11 hours ago
I have a macro that collects structural members that have a length property. This macro will work on an individual part or an assembly. There's a function I wrote that traverses the assembly that will repeat until there are no more sub assemblies to loop through. The function contains a For loop that assigns the collected member name and member length to an array.
SOLIDWORKS Forums
15 hours ago
Sharing a macro for batch reloading of drawing sheet format. Here are some main points of the macro: Feel free to edit as needed.
SOLIDWORKS Forums
17 hours ago
I have a drawing view which I would like to run a macro on. Some background information first. I have completed code that returns the total lengths of structural members from a part file or an assembly file. In my main subroutine I have conditional statements to check if GetType is a part, assembly, or drawing.
SOLIDWORKS Forums
19 hours ago
Around November/December 2016 my Task Pane went blank and would not move. The four icons are just hanging in the upper right third of my screen. I am running Windows 10 on a Surface Book.
SOLIDWORKS Forums
21 hours ago
looking to create a macro that outputs just details missing a balloon. For starters. know about the "balloon icon", when expanding the BOM Table, just wondering if there was a way to "access" it.
SOLIDWORKS Forums
23 hours ago
I would like to know about methods to get the component that is highlighted in the picture from the following information: - I have the IModelDoc2/IAssemblyDoc of the assembly (A.SLDASM)
SOLIDWORKS Forums
1 day ago
This Macro works by traversing an assembly, and looking for any sheet metal parts, then exports those flat patterns as a DXF, in folders according to material type and thickness. Debug.Print "File = " & swModel.GetPathName
SOLIDWORKS Forums
1 day ago
Hello, I want to use the VBA to make two parts to move together. I use the “boolstatus = swModel.Extension.SelectByID2("", "COMPONENT", 0, 0, 0, False, 0, Nothing, 0)” to choose the part, but how to choose the two parts together. Hello, I want to use the VBA to make two parts to move together.
SOLIDWORKS Forums
1 day ago
I am writing a macro that creates a new configuration in an assembly and automatically unchecks 'Suppress New Features and Mates'. However, the macro only works with a preselected configuration name. Currently, my macro creates a new configuration called 'default3' but I would like a userform to pop up and prompt the user to enter a configuration name. Here is my code so far:
SOLIDWORKS Forums
1 day ago
nestingworks solidworks nestingworks mm out inch problems edrawnig
SOLIDWORKS Forums
1 day ago
hi everyone, i have been trying to write a code which allows me to rotate and subtract the volume of a irregular shaped gear from a blank gear thus forming the corresponding gear. i have run into a "run time error 91" on line 66 of my code and i understand the object variable is not set but i have been unable to sort the problem so i was hoping if i attach the code that someone may be able to figure out the problem. i have also attached the solidworks assembly and gears that i am trying to make.
SOLIDWORKS Forums
1 day ago
At our company we have standard positions for the BOM on a drawing. The most used position is saved in the drawing template. To move the BOM to another location we manually edit the Bill of Materials Anchor point (Go to Sheet Format - RMB - Set anchor - select the desired position). I want to automate this: make it a single click method to switch between positions.
SOLIDWORKS Forums
1 day ago
It seems that solidworks changes direction automatically to calculate orientation when exceeding -180 degree or 180 degree. Dim swApp As SldWorks.SldWorks
SOLIDWORKS Forums
2 days ago
I am building a macro to find open document type and model type - (sheetmetal, multipart, weldmentpart) If swModel is drawing - then test on referenced document -point to swModel and use the same commend as if it swModel is a part (swModel.GetBendState 0 )
SOLIDWORKS Forums
2 days ago
publicSldWorksswApp; publicAssemblyDocassemblyDoc;
SOLIDWORKS Forums
2 days ago
I have been working a larger macro to make life easier for our designers and up until two days ago it was working pretty well. the only thing I can see that changes was a windows office components update was installed by IT. The macro reads the equation manger table and set variables for the three parts of each equation (Index number, name, value). Then i have a form that displays the values and allows users to change them. next I have a button that runs a routine to update changed equations.
SOLIDWORKS Forums
2 days ago
I am using IView::GetCorresponding to get object that is corresponding to weldment feature in section view. Everything is fine, I am getting an object, But now, how to get lines visible on section view that belong to this object? WeldmentFeature -> GetFaces -> GetBody -> Name
SOLIDWORKS Forums
2 days ago